package com.ads.business.controller.api;


import com.ads.business.model.rep.AftersaleAddReqVo;
import com.ads.business.model.rep.DataVo;
import com.ads.business.service.HsayiAftersaleInfoService;
import com.ads.common.data.JsonResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 售后信息表 前端控制器
 * </p>
 *
 * @author huzhihao
 * @since 2022-01-06
 */
@Slf4j
@Api(tags = "售后控制器")
@RestController
@RequestMapping("/api/aftersale")
public class HsayiAftersaleInfoController {

    @Autowired
    private HsayiAftersaleInfoService aftersaleInfoService;

    @Deprecated
    @ApiOperation(value = "同步售后 根据商家自定义售后ID可重入")
    @PostMapping("/sync")
    public JsonResult syncOrder(@RequestBody AftersaleAddReqVo vo) {
        log.info("同步售后，数据：{}", vo);
        aftersaleInfoService.syncAftersale(vo);
        return JsonResult.success();
    }

    @ApiOperation(value = "同步售后 根据商家自定义售后ID可重入")
    @PostMapping("/sync/v2")
    public JsonResult syncOrder(@RequestBody DataVo vo) {
        log.info("订单同步，数据：{}", vo);
        aftersaleInfoService.syncAftersale(vo.getData());
        return JsonResult.success();
    }
}
