package com.ads.business.controller.event;

import com.ads.common.constant.CodeConstant;
import com.ads.business.service.WechatFacade;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;


/**
 * [微信事件]
 *
 * @author huzhihao
 * @date 2021/12/27 10:41
 */
@RestController
@RequestMapping("/wechat/event")
@Api(tags = "微信事件")
public class EventController {

    @Autowired
    private WechatFacade wechatFacade;

    /**
     * [判断验证消息是否来自微信]
     *
     * @param signature
     * @param timestamp
     * @param nonce
     * @param echostr
     * @return java.lang.String
     * @author huzhihao
     * @date 2021/12/27 14:08
     */
    @GetMapping(value = "/callback", produces = "text/plain")
    public String callbackValidate(
            @RequestParam("signature") String signature,
            @RequestParam("timestamp") String timestamp,
            @RequestParam("nonce") String nonce,
            @RequestParam("echostr") String echostr
    ) {
        return wechatFacade.callbackValidate(signature, timestamp, nonce, echostr);
    }

    /**
     * [处理回调]
     *
     * @param map
     * @return java.lang.String
     * @author huzhihao
     * @date 2021/12/27 14:10
     */
    @PostMapping(value = "/callback", produces = "text/plain")
    public String callbackProcess(@RequestBody Map map) {
        wechatFacade.callbackProcess(map);
        return CodeConstant.WECHAT.SUCCESS;
    }
}