package com.ads.business.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 售后信息表
 * </p>
 *
 * @author huzhihao
 * @since 2022-01-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hsayi_aftersale_info")
public class HsayiAftersaleInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "aftersale_id", type = IdType.AUTO)
    private Long aftersale_id;

    /**
     * 商家自定义订单ID
     */
    @TableField("out_order_id")
    private String out_order_id;

    /**
     * 用户的openid
     */
    @TableField("openid")
    private String openid;

    /**
     * 商家售后ID
     */
    @TableField("out_aftersale_id")
    private String out_aftersale_id;

    /**
     * 售后类型，1:退款,2:退款退货,3:换货
     */
    @TableField("type")
    private Integer type;

    /**
     * 0:未受理,1:用户取消,2:商家受理中,3:商家逾期未处理,4:商家拒绝退款,5:商家拒绝退货退款,6:待买家退货,7:退货退款关闭,8:待商家收货,11:商家退款中,12:商家逾期未退款,13:退款完成,14:退货退款完成,15:换货完成,16:待商家发货,17:待用户确认收货,18:商家拒绝换货,19:商家已收到货
     */
    @TableField("status")
    private Integer status;

    /**
     * 0:订单可继续售后, 1:订单无继续售后
     */
    @TableField("finish_all_aftersale")
    private Integer finish_all_aftersale;

    /**
     * 商家小程序该售后单的页面path，不存在则使用订单path
     */
    @TableField("path")
    private String path;

    /**
     * 退款金额,单位：分
     */
    @TableField("refund")
    private Integer refund;

    /**
     * 删除标志（0代表存在 1代表删除）
     */
    @TableField("del_flag")
    @TableLogic
    private String del_flag;

    /**
     * 创建者
     */
    @TableField(fill = FieldFill.INSERT)
    private Long create_user;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date create_time;

    /**
     * 更新者
     */
    @TableField(fill = FieldFill.UPDATE)
    private Long update_user;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    private Date update_time;


}
