package com.ads.business.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 商品审核信息
 * </p>
 *
 * @author huzhihao
 * @since 2021-12-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hsayi_audit_info")
public class HsayiAuditInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "audit_info_id", type = IdType.AUTO)
    private Long audit_info_id;

    /**
     * 审核单id
     */
    @TableField("audit_id")
    private String audit_id;

    @TableField("status")
    private Integer status;

    @TableField("out_product_id")
    private String out_product_id;

    /**
     * 上一次提交时间, yyyy-MM-dd HH:mm:ss
     */
    @TableField("submit_time")
    private String submit_time;

    /**
     * 上一次审核时间, yyyy-MM-dd HH:mm:ss
     */
    @TableField("audit_time")
    private String audit_time;

    /**
     * 拒绝理由，只有edit_status为3时出现
     */
    @TableField("reject_reason")
    private String reject_reason;


}
