package com.ads.business.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 类目附件
 * </p>
 *
 * @author huzhihao
 * @since 2021-12-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hsayi_category_img")
public class HsayiCategoryImg implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "category_img_id", type = IdType.AUTO)
    private Long category_img_id;

    /**
     * 类目id
     */
    @TableField("cat_id")
    private Long cat_id;

    /**
     * 图片类型 license：营业执照或组织机构代码证，certificate：资质材料
     */
    @TableField("type")
    private String type;

    /**
     * 图片地址
     */
    @TableField("url")
    private String url;

    /**
     * 删除标志（0代表存在 1代表删除）
     */
    @TableField("del_flag")
    @TableLogic
    private String del_flag;

    /**
     * 创建者
     */
    @TableField(fill = FieldFill.INSERT)
    private Long create_user;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date create_time;

    /**
     * 更新者
     */
    @TableField(fill = FieldFill.UPDATE)
    private Long update_user;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    private Date update_time;


}
