package com.ads.business.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 类目表
 * </p>
 *
 * @author huzhihao
 * @since 2021-12-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hsayi_category_info")
public class HsayiCategoryInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "category_info_id", type = IdType.AUTO)
    private Long category_info_id;

    /**
     * 一级类目
     */
    @TableField("level1")
    private Integer level1;

    /**
     * 二级类目
     */
    @TableField("level2")
    private Integer level2;

    /**
     * 三级类目
     */
    @TableField("level3")
    private Integer level3;

    /**
     * 三级类目名称
     */
    @TableField("level3_name")
    private String level3_name;

    /**
     * 审核id
     */
    @TableField("audit_id")
    private String audit_id;

    /**
     * 审核状态,1:已通过,9:拒绝;0审核中
     */
    @TableField("status")
    private String status;

    /**
     * 相关信息
     */
    @TableField("reject_reason")
    private String reject_reason;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    /**
     * 删除标志（0代表存在 1代表删除）
     */
    @TableField("del_flag")
    @TableLogic
    private String del_flag;

    /**
     * 创建者
     */
    @TableField(fill = FieldFill.INSERT)
    private Long create_user;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date create_time;

    /**
     * 更新者
     */
    @TableField(fill = FieldFill.UPDATE)
    private Long update_user;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    private Date update_time;


}
