package com.ads.business.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 商品表
 * </p>
 *
 * @author huzhihao
 * @since 2021-12-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hsayi_commodity")
public class HsayiCommodity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "commodity_id", type = IdType.AUTO)
    private Long commodity_id;

    /**
     * 商品id
     */
    @TableField("out_product_id")
    private String out_product_id;

    /**
     * 标题
     */
    @TableField("title")
    private String title;

    /**
     * 小程序路径
     */
    @TableField("path")
    private String path;

    /**
     * 三级类目是否需要审核 1是0否
     */
    @TableField("third_cat_audit")
    private Integer third_cat_audit;

    /**
     * 第三级类目ID
     */
    @TableField("third_cat_id")
    private Integer third_cat_id;

    /**
     * 是否有品牌 1是0否
     */
    @TableField("has_brand")
    private Integer has_brand;

    /**
     * 品牌id
     */
    @TableField("brand_id")
    private Long brand_id;

    /**
     * 商品线上状态(上下架状态)
     */
    @TableField("status")
    private Integer status;

    /**
     * 商品草稿状态(审核状态)
     */
    @TableField("edit_status")
    private Integer edit_status;

    /**
     * 删除标志（0代表存在 1代表删除）
     */
    @TableField("del_flag")
    @TableLogic
    private String del_flag;

    /**
     * 上下架时间
     */
    @TableField("stand_down_time")
    private Date stand_down_time;

    /**
     * 创建者
     */
    @TableField(fill = FieldFill.INSERT)
    private Long create_user;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date create_time;

    /**
     * 更新者
     */
    @TableField(fill = FieldFill.UPDATE)
    private Long update_user;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    private Date update_time;

}
