package com.ads.business.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 订单表
 * </p>
 *
 * @author huzhihao
 * @since 2021-12-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hsayi_order_info")
public class HsayiOrderInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("order_info_id")
    private Long order_info_id;

    /**
     * 商家自定义订单ID
     */
    @TableField("out_order_id")
    private String out_order_id;

    /**
     * 用户的openid
     */
    @TableField("openid")
    private String openid;

    /**
     * 类型，默认1:支付成功,2:支付失败,3:用户取消,4:超时未支付;5:商家取消;10:其他原因取消
     */
    @TableField("action_type")
    private Integer action_type;

    /**
     * 支付订单号，action_type=1且order/add时传的pay_method_type=0时必填
     */
    @TableField("transaction_id")
    private String transaction_id;

    /**
     * 支付完成时间，action_type=1时必填，yyyy-MM-dd HH:mm:ss
     */
    @TableField("pay_time")
    private String pay_time;

    /**
     * 是否同步成功 1是 0否
     */
    @TableField("sync_success")
    private Boolean sync_success;

    /**
     * 删除标志（0代表存在 1代表删除）
     */
    @TableField("del_flag")
    @TableLogic
    private String del_flag;
    /**
     * 创建者
     */
    @TableField(fill = FieldFill.INSERT)
    private Long create_user;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date create_time;

    /**
     * 更新者
     */
    @TableField(fill = FieldFill.UPDATE)
    private Long update_user;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    private Date update_time;

}
