package com.ads.business.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 商品附件
 * </p>
 *
 * @author huzhihao
 * @since 2021-12-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hsayi_spu_img_submit")
public class HsayiSpuImgSubmit implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "spu_img_submit_id", type = IdType.AUTO)
    private Long spu_img_submit_id;

    /**
     * 商家自定义商品ID
     */
    @TableField("out_product_id")
    private String out_product_id;

    /**
     * 图片类型 head:主图，qualification:资质图片
     */
    @TableField("type")
    private String type;

    /**
     * 图片地址
     */
    @TableField("url")
    private String url;

    /**
     * 删除标志（0代表存在 1代表删除）
     */
    @TableField("del_flag")
    @TableLogic
    private String del_flag;

    /**
     * 创建者
     */
    @TableField(fill = FieldFill.INSERT)
    private Long create_user;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date create_time;

    /**
     * 更新者
     */
    @TableField(fill = FieldFill.UPDATE)
    private Long update_user;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.UPDATE)
    private Date update_time;


}
