package com.ads.business.model.rep;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 同步订单
 *
 * @author huzhihao
 * @date 2021-12-28 10:11
 **/
@Data
public class OrderPayReqVo {

    @NotBlank(message = "商家自定义订单id不能为空")
    @ApiModelProperty(value = "商家自定义订单id")
    private String out_order_id;

    @NotBlank(message = "openid不能为空")
    @ApiModelProperty(value = "openid")
    private String openid;

    @NotBlank(message = "类型不能为空")
    @ApiModelProperty(value = "类型，默认1:支付成功,2:支付失败,3:用户取消,4:超时未支付;5:商家取消;10:其他原因取消")
    private Integer action_type;

    @ApiModelProperty(value = "支付订单号，action_type=1且order/add时传的pay_method_type=0时必填")
    private String transaction_id;

    @ApiModelProperty(value = "支付完成时间，action_type=1时必填，yyyy-MM-dd HH:mm:ss")
    private String pay_time;

    @NotBlank(message = "sign不能为空")
    @ApiModelProperty(value = "sign")
    private String sign;
}