package com.ads.business.service;

import com.ads.business.entity.HsayiBrandInfo;
import com.ads.business.model.rep.BrandInfoAddRepVo;
import com.ads.business.model.rep.BrandInfoEditRepVo;
import com.ads.business.model.rep.BrandInfoReqVo;
import com.ads.business.model.resq.BrandInfoDetailRespVo;
import com.ads.common.data.JsonResult;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 品牌表 服务类
 * </p>
 *
 * @author huzhihao
 * @since 2021-12-24
 */
public interface HsayiBrandInfoService extends IService<HsayiBrandInfo> {

    /**
     * 品牌分页列表
     *
     * @param vo 入参
     * @return 返回结果对象
     */
    JsonResult findPage(BrandInfoReqVo vo);

    /**
     * 品牌详情
     *
     * @param brandInfoId 主键ID
     * @return 返回结果对象
     */
    BrandInfoDetailRespVo detail(Long brandInfoId);

    /**
     * 新增
     *
     * @param vo 入参对象
     * @return 返回结果对象
     */
    JsonResult add(BrandInfoAddRepVo vo);

    /**
     * 修改
     *
     * @param vo 入参对象
     * @return 返回结果对象
     */
    JsonResult edit(BrandInfoEditRepVo vo);

    /**
     * 删除
     */
    JsonResult deleteByIds(Long[] brandInfoIds);
}
