package com.ads.business.service;

import com.ads.business.service.data.aftersale.AftersaleAddReq;
import com.ads.business.service.data.brand.BrandAuditPost;
import com.ads.business.service.data.category.CatAuditPost;
import com.ads.business.service.data.delivery.DeliverySendReq;
import com.ads.business.service.data.order.OrderGetReq;
import com.ads.business.service.data.order.OrderInfoRes;
import com.ads.business.service.data.order.OrderPayReq;
import com.ads.business.service.data.spu.Spu;
import org.springframework.web.multipart.MultipartFile;

/**
 * [微信服务]
 *
 * @author huzhihao
 * @date 2021/12/26 9:52
 */
public interface WechatService {

    /**
     * [上传]
     *
     * @param file
     * @return java.lang.String
     * @author huzhihao
     * @date 2021/12/26 14:10
     */
    String upload(MultipartFile file);

    /**
     * [添加商品]
     *
     * @param param
     * @return com.ads.business.service.data.spu.Spu
     * @author huzhihao
     * @date 2021/12/26 14:10
     */
    Spu spuAdd(Spu param);

    /**
     * [更新商品]
     *
     * @param param
     * @return com.ads.business.service.data.spu.Spu
     * @author huzhihao
     * @date 2021/12/26 14:10
     */
    Spu spuUpdate(Object param);

    /**
     * [获取商品]
     *
     * @param outProductId
     * @return com.ads.business.service.data.spu.Spu
     * @author huzhihao
     * @date 2021/12/26 14:11
     */
    Spu spuGet(String outProductId);

    /**
     * [删除商品]
     *
     * @param outProductId
     * @return java.lang.Boolean
     * @author huzhihao
     * @date 2021/12/26 14:11
     */
    Boolean spuDel(String outProductId);

    /**
     * [上架商品]
     *
     * @param outProductId
     * @return java.lang.Boolean
     * @author huzhihao
     * @date 2021/12/26 14:11
     */
    Boolean spuListing(String outProductId);

    /**
     * [下架商品]
     *
     * @param outProductId
     * @return java.lang.Boolean
     * @author huzhihao
     * @date 2021/12/26 14:11
     */
    Boolean spuDelisting(String outProductId);

    /**
     * [订单同步]
     *
     * @param param
     * @return java.lang.Boolean
     * @author huzhihao
     * @date 2021/12/28 9:07
     */
    Boolean orderPay(OrderPayReq param);

    /**
     * [获取订单详情]
     *
     * @param param
     * @return com.ads.business.service.data.order.OrderInfoRes
     * @author huzhihao
     * @date 2021/12/29 14:18
     */
    OrderInfoRes orderGet(OrderGetReq param);

    /**
     * [物流发货]
     *
     * @param param
     * @return java.lang.Boolean
     * @author huzhihao
     * @date 2021/12/28 9:07
     */
    Boolean deliverySend(DeliverySendReq param);

    /**
     * [品牌提交]
     *
     * @param req
     * @return java.lang.String
     * @author huzhihao
     * @date 2021/12/30 19:47
     */
    String auditBrand(BrandAuditPost req);

    /**
     * [类目提交]
     *
     * @param req
     * @return java.lang.String
     * @author huzhihao
     * @date 2021/12/30 19:47
     */
    String auditCategory(CatAuditPost req);

    /**
     * [创建售后]
     *
     * @param param
     * @return java.lang.Boolean
     * @author huzhihao
     * @date 2022/1/6 15:11
     */
    Boolean aftersaleAdd(AftersaleAddReq param);
}
